> For the complete documentation index, see [llms.txt](https://hinkal-team.gitbook.io/hinkal/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://hinkal-team.gitbook.io/hinkal/hinkal-api/api-reference/supported-chains.md).

# Supported Chains

## List supported chains

> Returns the EVM chains for which Hinkal exposes a curated set of supported tokens\
> (the same chains served by \`/supported-tokens\`). Solana and Tron are not included.<br>

```json
{"openapi":"3.0.3","info":{"title":"Hinkal API","version":"1.0.0"},"tags":[{"name":"Supported Chains"}],"servers":[{"url":"https://api.hinkal.io","description":"Production"}],"paths":{"/supported-chains":{"get":{"operationId":"getSupportedChains","summary":"List supported chains","description":"Returns the EVM chains for which Hinkal exposes a curated set of supported tokens\n(the same chains served by `/supported-tokens`). Solana and Tron are not included.\n","tags":["Supported Chains"],"responses":{"200":{"description":"Supported chains","headers":{},"content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","enum":[true]},"chains":{"type":"array","items":{"$ref":"#/components/schemas/SupportedChain"}}},"required":["success","chains"]}}}},"500":{"$ref":"#/components/responses/ServerError"}}}}},"components":{"schemas":{"SupportedChain":{"type":"object","properties":{"chainId":{"type":"integer"},"name":{"type":"string","description":"Human-readable chain name (e.g. Ethereum, Optimism)"}},"required":["chainId","name"]},"FailedResponse":{"type":"object","properties":{"success":{"type":"boolean","enum":[false]},"error":{"type":"string"}},"required":["success","error"]}},"responses":{"ServerError":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedResponse"}}}}}}}
```
